function m0509
%  m0509.m    (Fr MATLAB/SIMULINK Rel.14)
%
%  Bild 5.9 a und b
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  (c)19.06.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%    Frequenzwerte auf der Ortskurve 
%      im Bereich von   0.3  <  omega  <  100 
%
%    Es knnen auch mehrere Werte  omega1, omega2, ...
%    vorgegeben werden im Vektor 
%                            wpar=[ omega1 omega2 ... ]
%
% ########################################################
clear

       wpar=[ .3 .5  1.118  1.88 ];

% ########################################################

menu='none';  % none oder fig
fonts=8; 
close all


% Offener Kreis
%---------------------------------------------
% Strecke:
Kps=1; Ts1=3; Ts2q=2;
szae=[Kps];
snen=[Ts2q  Ts1  1];

% Regler:
Kpr=5;  Tn=0.4;
rzae=[Tn 1]; rzae=Kpr*rzae;
rnen=[Tn 0]; 

% Offener Kreis:
ozae=conv(rzae,szae);
onen=conv(rnen,snen);


% Ortskurve
%---------------------------------------------
figure(1)
set(gcf,'Units','normal','Position',[.6 .51 .3 .4], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.9a'); 
buch(gcf)  

re1=[-30 5]; re2=[ 0 0];
im1=[0 0]; im2=[ -30 5];
plot(re1,re2,'k',im1,im2,'k');
grid on, hold on
set(gca,'FontSize',fonts);
axis([-30 5 -30 5])
axis square

w=0.1:.02:10;            % Ortskurve 
[re,im,w]=nyquist(ozae,onen,w);
plot(re,im,'g','LineW',2)          

incr=0:.1:2*pi;          % Einheitskreis
x=sin(incr); y=cos(incr);
plot(x,y,'k');
hold on

% Parametrierung
[re,im,wpar]=nyquist(ozae,onen,wpar);
plot(re,im,'r.','MarkerSize',12);
wparstring=num2str(wpar);
text(re,im,wparstring,'VerticalAlign','bottom',...
    'HorizontalAlignment','right','fonts',8)


figure(2)
set(gcf,'Units','normal','Position',[.6 .05 .3 .4], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.9b'); 
buch(gcf)

re1=[-4 2]; re2=[ 0 0];
im1=[0 0]; im2=[ -3 3];
plot(re1,re2,'k',im1,im2,'k');
grid on, hold on
set(gca,'FontSize',fonts);
axis([-4 2 -3 3])
axis square

w=0.5:.02:10;            % Ortskurve 
[re,im,w]=nyquist(ozae,onen,w);
plot(re,im,'g','LineW',2)          

incr=0:.1:2*pi;          % Einheitskreis
x=sin(incr); y=cos(incr);
plot(x,y,'k');
hold on

% Parametrierung
[re,im,wpar]=nyquist(ozae,onen,wpar);
plot(re,im,'r.','MarkerSize',12); 
text(re,im,wparstring,'VerticalAlign','bottom','fonts',8)




















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')


