function m0512
%  m0512.m     (Fr MATLAB/SIMULINK Rel.14)
%
%  Bild 5.12
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  keine
%
%  (c)19.06.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%     P-Beiwert Kpr des Reglers im Bereich  1 < Kpr < 5
%
%
% ########################################################
clear


       Kpr=5.;    %  Voreinstellung Kpr=5


% ########################################################

menu='none';  % none oder fig
close all
fonts=8; 

% Frequenzgang
%  GS  Strecke
Kps=1;
T2=sqrt(2);
T1=3;
d=T1/(2*T2);
K=Kps;
szae=K;
snen=[T2^2 T1 1];

%  GR    Regler:
Tn=0.4;
K=Kpr/Tn;
rzae=K*[Tn 1];
rnen=[ 1 0];

%  GO
ozae=conv(szae,rzae);
onen=conv(snen,rnen);


% Bode-Diagramm:
figure(1)
set(gcf,'Units','normal','Position',[.5 .2 .5 .5], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.12');
buch(gcf)

w=logspace(-1,2,200);

[sbetr,sphas,w]=bode(szae,snen,w);
[rbetr,rphas,w]=bode(rzae,rnen,w);
[obetr,ophas,w]=bode(ozae,onen,w);

subplot(2,1,1)
sbetr=20*log10(sbetr);
rbetr=20*log10(rbetr);
obetr=20*log10(obetr);
semilogx(w,sbetr,'g',w,rbetr,'m',w,obetr,'b');
grid on; hold on
dBachs=[-5:1:5]*20;
phachs=[-5:1:5]*90;
set(gca,'FontSize',fonts,'YTick',dBachs);
axis([0.1 100 -40 50])
title('Bode-Diagramm: G_O blau, G_S grn, G_R magenta')
xlabel('\omega (rad/s) \rightarrow')
ylabel('| G |_{dB} \rightarrow')
db1=[.1 100]; db2=[ 0 0 ];
plot(db1,db2,'k')

subplot(2,1,2)
semilogx(w,sphas,'g',w,rphas,'m',w,ophas,'b')
grid on, hold on
set(gca,'FontSize',fonts,'YTick',phachs);
axis([0.1 100 -200 10])
grd1=[.1 100]; grd2=[ -180 -180 ];
plot(grd1,grd2,'k')
grd1=[.1 100]; grd2=[ 0 0 ];
plot(grd1,grd2,'k')
xlabel('\omega (rad/s) \rightarrow')
ylabel('/\_G \rightarrow')





















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')


