function m0520
%  m0520.m     (Fr MATLAB/SIMULINK Rel.14)
%
%  Bild 5.20 (nur Fhrungsbergangsfunktionen)
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:   s0520.mdl
%
%  (c)19.06.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%    Reglerverstrkung  Kpr im Bereich  0.7 < Kpr < 5
%
%    schalt=0: I-Anteil im PID-Regler aus 
%    schalt=1  I-Anteil im PID-Regler an                
%    Nachstellzeit      Tn  im Bereich  10  < Tn  < 20
%
%    Vorhaltzeit        Tv  im Bereich  0.0 < Tv  < 2
%
%    Streckentotzeit    Tt  im Bereich  0.  < Tt  < 2
%
% ########################################################
clear

      Kpr    = 1.5;       % Voreinstellung Kpr= 1.5

      schalt = 1  ;       % Voreinstellung schalt=1 
      Tn     =10. ;       % Voreinstellung Tn =10.

      Tv     = 2. ;       % Voreinstellung Tv = 2.

      Tt     = 1. ;       % Voreinstellung Tt = 1.

% ########################################################

menu='none';  % none oder fig
close all
fonts=8;

% P-T3-Strecke:
szae=1;
T1a=2; T1b=3; T1c=4;
a1=[T1a 1]; a2=[T1b 1]; a=conv(a1,a2); a3=[T1c 1]; 
snen=conv(a,a3);

% PID-Regler:
T1=0.01;     % Zeitkonstante D-Anteil

% Eingangssignale:
zdach=0;
wdach=1;

% Simulation:
figure(1)
set(gcf,'Units','normal','Position',[.6 .55 .35 .35], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.20');
buch(gcf)

tend=60; 

% Daten in basic workspace (fr Simulink)
assignin('base','wdach',wdach)
assignin('base','Kpr',Kpr)
assignin('base','schalt',schalt)
assignin('base','Tn',Tn)
assignin('base','Tv',Tv)
assignin('base','T1',T1)
assignin('base','szae',szae)
assignin('base','snen',snen)
assignin('base','Tt',Tt)

opts=simset('Solver','ode45',...
    'InitialState',[],...
    'MaxStep',.1);
[t,x,y]=sim('s0520',[0 tend],opts);

plot(t,y(:,1),'r',t,y(:,2),'b'); grid on;

set(gca,'FontSize',fonts,...
    'Position',[.15 .2 .8 .7],...
    'YTick',[0:.2:2]);
axis([0 tend 0 1.4])
title('Fhrungsbergangsfunktion');
xlabel('t \rightarrow') 
ylabel('h \rightarrow')





















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')


