function m0526
%  m0526.m     (Fr MATLAB/SIMULINK Rel.14)
%
%  Bild 5.26
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Unterprogramme:  s0526.mdl
%
%  (c)19.06.05  R.Froriep
%
% ########################################################
%
%  Variations-Empfehlungen:
%
%    Reglerverstrkung  Kir  im Bereich  0.1 < Kir < 20
%
%
% ########################################################
clear

      Kir=.66;       % Voreinstellung Kpr=0.66

% ########################################################

menu='none';  % none oder fig
close all
fonts=8;


% P-T1-Strecke: 
Kps=1.5;  T1=0.25;


% Strsprungantwort der Regeldifferenz:

stept0=0.001; zdach=1;
tend=5; 

% Abspeichern in basic workspace (fr Simulink)
assignin('base','Kir',Kir)
assignin('base','Kps',Kps)
assignin('base','T1',T1)

opts=simset('Solver','ode45',...
    'InitialState',[],...
    'MaxStep',.01);

[t,x,y]=sim('s0526',[0 tend],opts);

figure(1)
set(gcf,'Units','normal','Position',[.6 .55 .35 .35], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild 5.26');
buch(gcf)

tachs1=[0 tend]; tachs2=[0 0]; 
plot(tachs1,tachs2,'k')
grid on, hold on
set(gca,'FontSize',fonts,...
    'Position',[.15 .2 .75 .7],...
    'YTick',[-2:.2:.2]);
axis([0 tend -1.2 0.4])
title(' Regeldifferenz');
xlabel('t \rightarrow'), ylabel('e \rightarrow')
plot(t,y(:,1),'b')

figure(2)
set(gcf,'Units','normal','Position',[.6 .1 .35 .35], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Zu Bild 5.26');
buch(gcf)

tachs1=[0 tend]; tachs2=[0 0]; 
plot(tachs1,tachs2,'k')
grid on, hold on
set(gca,'FontSize',fonts,...
    'Position',[.15 .2 .75 .7],...
    'YTick',[-2:.5:2]);
axis([0 tend -2. .5])
title(' Zugehriger Stellgrenverlauf');
xlabel('t \rightarrow'), ylabel('y \rightarrow')
plot(t,y(:,2),'b')





















function []=buch(fighandle)
cr0=uimenu('parent', fighandle);
set(cr0,'Label','?') 
cr1=uimenu('parent', cr0);
set(cr1,'Label','Mann/Schiffelgen/Froriep') 
cr2=uimenu('parent', cr0);
set(cr2,'Label','Einfhrung in die Regelungstechnik') 
cr3=uimenu('parent', cr0);
set(cr3,'Label','Hanser-Verlag')


