function []=ma103_func()
%  ma103_func.m    (Fr MATLAB/SIMULINK Rel.14)
%
%  Bild A.1.3
%  Mann/Schiffelgen/Froriep,
%  Einfhrung in die Regelungstechnik, 
%  10.Aufl., Hanser-Verlag, Mnchen, 2005
%  ISBN 3-446-40303-5
%
%  Anleitung:
%  Das m-file ffnet ein Simulink-Fenster und die
%  Zeitdiagrammfenster zu den beiden Scope-Blcken.
%  Start der Simulation mit "Simulation" und "Start".
%  
%  Unterprogramme: sa103.mdl
%
%  (c)14.01.05  R.Froriep
%
clear

menu='none';  % none oder fig
close all
open_system('sa103')

% RC-Netzwerk Daten:
R=1 ;         % KOhm
C=100;        % uF

% Umrechnung auf SI-Einheiten
R=R*1e3;
C=C*1e-6;

% Daten fr Simulink
assignin('base','R',R)
assignin('base','C',C)


% Simulationsdauer
te=1;

% Ausgabefenster anlegen
figure(1)
set(gcf,'Units','normal','Position',[.5 .6 .5 .3], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild A.1.3b');
axis([0 1 0 1.2])
title('Eingangsspannung')
xlabel('t  \rightarrow')
ylabel('u_e  \rightarrow')
grid
hold on

figure(2)
set(gcf,'Units','normal','Position',[.5 .2 .5 .3], ...
    'NumberTitle','off','MenuBar',menu,...
    'Name',' Bild A.1.3b');
axis([0 1 0 1.2])
title('Kondensatorspannung')
xlabel('t  \rightarrow')
ylabel('u_C  \rightarrow')
grid
hold on


% Parametervariationsschleife
for i=1:3
i
    if i==2, R=2*R; end
    if i==3, R=3*R; end
assignin('base','R',R)

    opts=simset('Solver','ode45',...
                'InitialState',[],...
                'MaxStep',.01);
    [t,x,y]=sim('sa103',[0 te],opts);
   
    figure(1)
    plot(t,y(:,1),'k','linewidth',1.5)
 
    
    figure(2)    
    plot(t,y(:,2),'k','linewidth',1.5)

end